local MakePlayerCharacter = require "prefabs/player_common"

--Assets basically animate your player
local assets = {

        Asset( "ANIM", "anim/player_basic.zip" ),
        Asset( "ANIM", "anim/player_idles_shiver.zip" ),
		Asset( "ANIM", "anim/player_mime.zip"), 
        Asset( "ANIM", "anim/player_actions.zip" ),
        Asset( "ANIM", "anim/player_actions_axe.zip" ),
        Asset( "ANIM", "anim/player_actions_pickaxe.zip" ),
        Asset( "ANIM", "anim/player_actions_shovel.zip" ),
        Asset( "ANIM", "anim/player_actions_blowdart.zip" ),
        Asset( "ANIM", "anim/player_actions_eat.zip" ),
        Asset( "ANIM", "anim/player_actions_item.zip" ),
        Asset( "ANIM", "anim/player_actions_uniqueitem.zip" ),
        Asset( "ANIM", "anim/player_actions_bugnet.zip" ),
        Asset( "ANIM", "anim/player_actions_fishing.zip" ),
        Asset( "ANIM", "anim/player_actions_boomerang.zip" ),
        Asset( "ANIM", "anim/player_bush_hat.zip" ),
        Asset( "ANIM", "anim/player_attacks.zip" ),
        Asset( "ANIM", "anim/player_idles.zip" ),
        Asset( "ANIM", "anim/player_rebirth.zip" ),
        Asset( "ANIM", "anim/player_jump.zip" ),
        Asset( "ANIM", "anim/player_amulet_resurrect.zip" ),
        Asset( "ANIM", "anim/player_teleport.zip" ),
        Asset( "ANIM", "anim/wilson_fx.zip" ),
        Asset( "ANIM", "anim/player_one_man_band.zip" ),
        Asset( "ANIM", "anim/shadow_hands.zip" ),
        Asset( "SOUND", "sound/sfx.fsb" ),
        Asset( "SOUND", "sound/wilson.fsb" ),
        Asset( "ANIM", "anim/beard.zip" ),

		Asset( "ANIM", "anim/warrack.zip" ),
}

local prefabs = {}

local start_inv = 
{ "log",
"log",
"log",
"log",
"log",
}
--Making Coraline even more vulnerable to rain

local fn = function(inst)

	inst:AddComponent("inspectable")
	
	--This is how you choose a sound.
	inst.soundsname = "wilson"
	
	--Adding a Minimap Icon for Coraline
	inst.MiniMapEntity:SetIcon("warrack.tex")

	--The nails of a demon!
	TUNING.UNARMED_DAMAGE = 25
	
	--She's a little girl!!!
	inst.Transform:SetScale(1.25,1.25,1.25)

	--The negative perks Coraline has...
	local WalkSpeed = (TUNING.WILSON_WALK_SPEED)
	local RunSpeed = (TUNING.WILSON_RUN_SPEED)
	inst.components.hunger:SetMax(150)
	inst.components.hunger:SetRate(TUNING.WILSON_HUNGER_RATE*0.9)
	inst.components.health.maxhealth = 150
	inst.components.combat.damagemultiplier = 1.05			
	inst.components.sanity:SetMax(250)
	inst.components.temperature.hurtrate = (TUNING.WILSON_HEALTH * 1 / (3*TUNING.FREEZING_KILL_TIME))
	inst.components.health.fire_damage_scale = 2.5
	
end
	
--STRINGS.CHARACTER_TITLES.accordalione = "The Adventurer"
--STRINGS.CHARACTER_NAMES.accordalione = "Coraline"
--STRINGS.CHARACTER_DESCRIPTIONS.accordalione = "*Is a growing little girl\n*Loves to sightsee\n*Does not like exotic foods"
--STRINGS.CHARACTER_QUOTES.accordalione = "\"I should explore here more often...\""
--STRINGS.CHARACTERS.ACCORDALIONE = require "speech_accordalione"

return MakePlayerCharacter("warrack", prefabs, assets, fn)

	
	
	
	